TokenNameFinderEvaluatorTool (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.namefind, class: TokenNameFinderEvaluatorTool

Package opennlp.tools.cmdline.namefind

# Class TokenNameFinderEvaluatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.namefind.NameSample,opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<opennlp.tools.namefind.NameSample,opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.namefind.NameSample,opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool

public final class TokenNameFinderEvaluatorTool extends opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.namefind.NameSample,opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool.EvalToolParams>
A default `NameSample`-centric implementation of `AbstractEvaluatorTool` that prints to an output stream.

See Also:
  - `AbstractEvaluatorTool`
  - `TokenNameFinderEvaluatorTool.EvalToolParams`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenNameFinderEvaluatorTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  `void`
  `run(String format, String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TokenNameFinderEvaluatorTool

    public TokenNameFinderEvaluatorTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### run

    public void run(String format, String[] args)
    Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
    Executes the tool with the given parameters.
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.namefind.NameSample,opennlp.tools.cmdline.namefind.TokenNameFinderEvaluatorTool.EvalToolParams>`
    Parameters:
      `format` - format to work with
      `args` - command line arguments